Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph
Class Main

    java.lang.Object
      info.bioinfweb.treegraph.Main

    public class Main

extends java.lang.Object

Field Summary
`private TreeClipboard` | `clipboard`
`private CmdProcessor` | `cmdProcessor`
`static java.lang.String` | `CONFIG_DIR`
`static java.lang.String` | `DOWNLOAD_URL`
`static java.lang.String` | `ERROR_URL`
`private info.webinsel.errorreport.swing.SwingErrorReporter` | `errorReporter`
`private static Main` | `firstInstance`
`static boolean` | `IS_MAC`
`static java.lang.String` | `LATEST_VERSION_URL`
`private info.webinsel.util.io.DefaultNameManager` | `nameManager`
`private java.util.prefs.Preferences` | `preferences`
`static int` | `SPLASH_SCREEN_BORDER`
`static java.awt.Font` | `SPLASH_SCREEN_FONT`
`static java.awt.Color` | `SPLASH_SCREEN_FONT_COLOR`
`static java.lang.String` | `TG_URL`
`private info.webinsel.util.appversion.ApplicationVersion` | `version`
`static java.lang.String` | `WIKI_URL`
`private info.webinsel.wikihelp.client.WikiHelp` | `wikiHelp`

Constructor Summary
`private` | `Main()`

Method Summary
`private void` | `customizeSpashScreen()`
`TreeClipboard` | `getClipboard()`
`CmdProcessor` | `getCmdProcessor()`
`info.webinsel.errorreport.swing.SwingErrorReporter` | `getErrorReporter()`
`static Main` | `getInstance()`
`info.webinsel.util.io.DefaultNameManager` | `getNameManager()`
`java.util.prefs.Preferences` | `getPreferences()`
`info.webinsel.util.appversion.ApplicationVersion` | `getVersion()`
`info.webinsel.wikihelp.client.WikiHelp` | `getWikiHelp()`
`static void` | `main(java.lang.String[] args)` Start this application
`private void` | `startApplication(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONFIG_DIR

    public static final java.lang.String CONFIG_DIR

### TG_URL

    public static final java.lang.String TG_URL

See Also:
  Constant Field Values

### ERROR_URL

    public static final java.lang.String ERROR_URL

See Also:
  Constant Field Values

### WIKI_URL

    public static final java.lang.String WIKI_URL

See Also:
  Constant Field Values

### LATEST_VERSION_URL

    public static final java.lang.String LATEST_VERSION_URL

See Also:
  Constant Field Values

### DOWNLOAD_URL

    public static final java.lang.String DOWNLOAD_URL

See Also:
  Constant Field Values

### SPLASH_SCREEN_FONT

    public static final java.awt.Font SPLASH_SCREEN_FONT

### SPLASH_SCREEN_FONT_COLOR

    public static final java.awt.Color SPLASH_SCREEN_FONT_COLOR

### SPLASH_SCREEN_BORDER

    public static final int SPLASH_SCREEN_BORDER

See Also:
  Constant Field Values

### IS_MAC

    public static final boolean IS_MAC

### firstInstance

    private static Main firstInstance

### version

    private info.webinsel.util.appversion.ApplicationVersion version

### errorReporter

    private info.webinsel.errorreport.swing.SwingErrorReporter errorReporter

### preferences

    private java.util.prefs.Preferences preferences

### wikiHelp

    private info.webinsel.wikihelp.client.WikiHelp wikiHelp

### clipboard

    private TreeClipboard clipboard

### cmdProcessor

    private CmdProcessor cmdProcessor

### nameManager

    private info.webinsel.util.io.DefaultNameManager nameManager

Constructor Detail

### Main

    private Main()

Method Detail

### getInstance

    public static Main getInstance()

### getVersion

    public info.webinsel.util.appversion.ApplicationVersion getVersion()

### getErrorReporter

    public info.webinsel.errorreport.swing.SwingErrorReporter getErrorReporter()

### getPreferences

    public java.util.prefs.Preferences getPreferences()

### getCmdProcessor

    public CmdProcessor getCmdProcessor()

### getWikiHelp

    public info.webinsel.wikihelp.client.WikiHelp getWikiHelp()

### getClipboard

    public TreeClipboard getClipboard()

### getNameManager

    public info.webinsel.util.io.DefaultNameManager getNameManager()

### customizeSpashScreen

    private void customizeSpashScreen()

### startApplication

    private void startApplication(java.lang.String[] args)

### main

    public static void main(java.lang.String[] args)

  Start this application

  Parameters:
    `args` - - the command line parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD